package com.zhimai.websocket.listener;

import com.zhimai.websocket.WebSocketSubscriber;

import okhttp3.WebSocket;
import okio.ByteString;

public interface WebSocketSubscriberListener {

     void onClose() ;

     void onMessage( String text);



     void onMessage( ByteString byteString) ;

     void onOpen( WebSocket webSocket);

     void onReconnect();


     void onError(Throwable e);

}
